لیست تغییرات و افزودنی های جدید قالب فروشگاهی پارس کالا

----------------------
نسخه 3.1.15 - 15 اردیبهشت 1402

- رفع مشکل جزئی در منوی موبایل

- رفع و اصلاح باگ های خیلی مهم کدنویسی پوسته

- رفع و اصلاح مشکل کاروسل مدرن در نسخه موبایل

-رفع و اصلاح مشکل دکمه سوالی دارید در نسخه موبایل 

-رفع و اصلاح مشکل باکس دانلود اپلیکیشن  در نسخه موبایل 

-رفع و اصلاح مقادیری در رابط کاربری صفحه محصول 

-رفع و اصلاح مشکل عدم نمایش صفحه بندی در بلاگ 

-افزودن کنترلر های تنظیمات جهت تنظیم بیشتر ابزارک های المنتوری پوسته 
بازطراحی سیستم لایسنس پوسته

-سازگاری پوسته با آخرین نسخه افزونه ووکامرس و المنتور 



----------------------
نسخه 3.3.4 - 10 خرداد 1402

-رفع و اصلاح مشکل نمایش تعداد موجودی محصول

-رفع استایل تیتر لیبل فروش ویژه در آرشیو محصولات

-رفع و اصلاح بخش راهنمای سایت

-رفع و اصلاح ریز استایل های سبک پارس فشن

-رفع و اصلاح عدم نمایش شماره کاربر ثبت نام شده در جزیئات حساب کاربری

رفع مشکل عدم ارسال کد تایید ایمیلی-

-رفع و اصلاح مشکلات ریز استایل صفحه محصول موبایل

-رفع و اصلاح متون ترجمه در بعضی از صفحات قالب

-اضافه شدن امکان کنترل متن کد تایید ایمیلی در تنظیمات پوسته -> پیکربندی پیامک پارس کالا

-اضافه کردن امکان نمایش قیمت تخفیف خورده در فاکتور

-اضافه شدن لیبل  آخرین تغییرات قیمت (بصورت اتوماتیک) در صفحه محصول

-سازگاری پوسته با آخرین نسخه ووکامرس

سازگاری پوسته با آخرین نسخه وردپرس 6.2.2



----------------------
نسخه 3.3.5 - 17 خرداد 1402

-رفع مشکل فنی سیستم ورود/عضویت پیامکی

-رفع مشکل فنی سیستم صدور فاکتور و پیش فاکتور

-اضافه شدن سبک نمایش محصولات جستجو شده ایجکسی (امکان نمایش آبشاری)

-اضافه شدن امکان نمایش تگ محصول در صفحه محصول

-اضافه شدن سبک نمایش پیشفرض تب اطلاعات محصول در موبایل

-اضافه شدن امکان نمایش لیبل ناموجود در محصولات ناموجود در کاروس ها

- رفع دیگر باگ های نمایشی گزارش شده توسط کاربران محترم


----------------------
نسخه 3.3.6 - 30 خرداد 1402

-رفع باگ و تداخل با افزونه ویرایشگر گروهی محصولات
-رفع باگ های ریز استایل هدر و منوها
-رفع باگ نمایشی تب محصول پیشفرض در موبایل
-رفع باگ عدم نمایش لیبل ناموجود در ایتم محصولات کاروسل ها
-بهینه سازی وسیع کدنویسی پوسته
-رفع مشکل المان باکس نمایش بیشتر
 

----------------------
نسخه 3.3.7 - 15 تیر 1402

-اضافه شدن کنترلر های جدید به پنل تنظیمات پوسته
-اضافه شدن کنترلرهای جدید جهت شخصی سازی بیشتر اسلایدر متحرک
-رفع و اصلاح باگ صدور فاکتور قالب
-رفع و اصلاح موارد گزارش شده مربوط به سیستم ورود/عضویت پیامکی
-رفع تداخلات جزئی استایل با افزونه ووکامرس
-بروز رسانی الگوی توابع ووکامرس در هسته پارس کالا
-رفع و اصلاح باگ های گزارش شده توسط کاربران عزیز
-آپدیت کلیه بسته های نصبی دموی های قالب
-بهینه سازی کدنویسی بک اند قالب فروشگاهی پارس کالا


----------------------
نسخه اصلاحیه 3.3.8 - 27 تیر 1402

- رفع و اصلاح گزارشات رابط کاربری 
-امکان تغییر تصویر کاروسل های شگفت انگیز
-رفع تداخلات جزیی قالب با افزونه ووکامرس
-رفع مشکل عدم نمایش صحیح تصویر دوم
-اضافه شدن چند سبک نمایش نقطه اسلایدر المنتوری پارس کالا
-رفع تداخلات جزئی باافزونه دکان پرو
-رفع تداخلات استایل با افزونه نظر سنجی آراد
-اضافه شدن امکان نمایش یاداشت سفارش در برچسب
- اضافه شدن امکان نمایش درصد تخفیف در برگه فاکتور 
- رفع باگ نمایش تصویر دوم محصول
- امکان نمایش عنوان دسته بندی در صفحه آرشیو و دسته بندی های محصولات
- سازگاری با آخرین نسخه وردپرس و ووکامرس


----------------------
نسخه 3.4.0 - 6 آبان 1402

 -  رفع و اصلاح گزارشات رابط کاربری عمومی پوسته

 - بازنویسی بیس کامل تنظیمات پوسته قالب 

 - اضافه شدن کنتترل های جدید جهت تنظیم پوسته

 - باز طراحی جزئی بخش هدر

 - اضافه شدن سبک جدید المان تماس با ما در هدر

 - باز نویسی و بهبود عملکرد رابط کاربری منوهای هدر

 - اضافه شدن المان های حرفه ایی محصولات ووکامرس

 - اضافه شدن سبک های جدید به المان اسلایدر تصاویر

 - اضافه شدن امکان کنترل المان کاروسل شگفت انگیز ها و محصولات عادی

 -اضافه شدن 2 سبک متفاوت هدر 

 - اضافه شدن سبک متفاوت فوتر

 - اضافه شدن سبک جدید صفحه محصول

 - اضافه شدن سکشن های جدید وبلاگ

 - باز طراحی و اضافه شدن امکانات جدید در صفحه وبلاگ و مقاله تکی

 - باز طراحی کامل فرم دیدگاه گذاری مقاله

 - اضافه شدن ابزارک های جدید ، تبلیغات محصول ، دسته بندی های مقاله
 
 - اضافه شدن امکان کنترل حذف یا تعریف فیلد های سفارشی صفحه پرداخت

 - امکان تنظیم نمایش/حذف ابزارک برای هر مقاله بصورت سفارشی یا عمومی 

 - اضافه شدن المان چسبان نوتیفیکشن فیک خریدار محصول از سایت

- اضافه شدن نمایش نوار چسبان خرید محصول در صفحه محصحول

-باز طراحی کامل صفحه فروشگاه 

- امکان تنظیم تعداد ستون های آیتم محصولات آرشیو

- امکان تعیین جایگان نمایشی توضیحات دسته بندی محصولات آرشیو

- امکان تغییر و کاستومایز کردن استایل سایدبار فروشگاه و آیتم محصولات

-اضافه شدن سبک جدید آیتم محصولات در صفحه آرشیو 

- بازنویسی و بهبود رابط کاربری پاپ اپ مینی کارت سبدخرید

- اضافه شدن امکان جذاب ثبت یاداشت سفارش ، انتخاب منطقه حمل و نقل و ثبت کپن پیشفرض فروشگاه

- توسعه و پیاده سازی سیستم پیامکی اطلاع رسانی پیامکی محصولات 

- امکان اطلاع رسانی و ارسال پیامک هنگام ثبت سفارش:

- امکان اطلاع رسانی پیامکی از وضعیت سفارش کاربر برای خود کاربر و مدیر سایت 

- امکان اطلاع رسانی پیامکی از موجود شد اطلاع بده یا شگفت انگیز

- امکان اطلاع رسانی و ارسال پیامک خوش‌آمدگویی خبرنامه اختصاصی پارس کالا

- امکان اطلاع رسانی و ارسال پیامک هماهنگ شده با افزونه فرم ساز Contact7


----------------------
نسخه اصلاحیه 3.4.1 - 13 آبان 1402

- حل مشکل ارسال کد ورود/عضویت
- حل مشکل عدم ذخیره سازی تنظیمات پوسته
- حل لگ های ریزاستایل نمایشی پوسته 

----------------------
نسخه  3.4.2 - 28 آبان 1402

- اصلاح باگ های گزارش شده مربوط به سیستم پیامکی قالب
- اصلاح مشکلات مربوط به سیستم کنترلر فیلدهای صفحه پرداخت کاربر
- حل مشکل عدم نمایش لیست شهرهای صفحه پرداخت
- حل مشکلات نمایشی در صفحه آرشیو محصولات
- ترجمه مابقی متون قالب (برای قابلیت چند زبانه کردن)
- امکان غیرفعال کردن دکمه افزودن به سبدخرید



----------------------
نسخه اصلاحیه مهم 3.4.3 - 1 آذر 1402

- حل مشکل بخش سفارشات ووکامرس
- حل مشکل عدم لینک گذاری به المان آیتم
- رفع تمامی وارنیگ ها و خطاهای error_log مربوط به قالب


----------------------
نسخه 3.4.4 - 15 آذر 1402


- سازگاری با آخرین نسخه وردپرس
- سازگاری با آخرین نسخه ووکامرس
- رفع برخی مشکلات جزئی گزارش شده توسط کاربران



----------------------
نسخه 3.4.5 - 7 بهمن 1402


- سازگاری قالب با آخرین نسخه ووکامرس
-  حل مشکل در ترجمه نسخه انگلیسی قالب موبایل
- رفع مشکل ارتفاع کاروسل های محصولات
- رفع مشکل عدم نمایش گارانتی محصول
- سازگاری و آپدیت الگو توابع ووکامرس به آخرین نسخه
- رفع برخی مشکلات جزئی گزارش شده توسط کاربران
- اصلاح مشکلات سازگاری مدل هدرها با سبک های قالب
- حل مشکل عدم ورود پیامکی قالب در موبایل (بسیار مهم)
- رفع ریزاستایل گزارش شده توسط تیم محترم کنترل کیفی راستچین

----------------------
نسخه 3.5.0 - 3 شهریور 1403

- رفع مشکلات مهم در سیستم ایجکسی قالب

- رفع مشکلات جزئی در بخش سبدخرید سریع قالب

-رفع باگ های متون انگلیسی قالب

- رفع باگ های جزی استایل صفحه محصول سبک پارس فشن

- حل مشکل مشکل گزینه "نمایش نام محصول در تب های صفحه محصول " در تنظیمات قالب

- رفع مشکلات ریزی در تمپلت دکان قالب

- رفع مشکل عدم نمایش تماس بگیرید در صفحه فروشگاه

- (!مهم) رفع مشکل  مشکل تگ عنوان در سایت

- رفع مشکل مشکل منو همبرگری در پیشخوان دکان

- رفع مشکل مشکل نمایش ضمانت کالا برای در هنگام بروزسانی

- (!مهم)رفع مشکل مشکل نمایش کد رهگیری در ووکامرس سفارش ها

- رفع مشکل مشکل نمایش دسته بندی فرزند در صفحات آرشیو

- رفع مشکل  مشکل عملکرد گزینه نظرات پیشرفته در تنظیمات قالب

- رفع مشکل مشکل تصویر شاخص وبلاگ و امکان تنظیم ارتفاع از تنظیمات پوسته

- رفع مشکل مشکل عملکرد گزینه باز شدن سبد خرید از کنار در تنظیمات قالب

- رفع مشکل - مشکل باز نشدن منو خانه در منوی چسبان موبایل

- رفع مشکل دکمه سبد خرید -> سبک نمایش منو بازشو 

- رفع مشکل صفحه سفارشات > ستون کد رهگیری 

- رفع مشکل متن قالب ایمیل موجود شد اطلاع بده (خیلی مهم!)  

- رفع مشکل عدم اعمال سازی گزینه  تنظیمات -> صفحه نوشته -> به اشتراک گذاری نوشته

- رفع مشکل عدم اعمال سازی گزینه پیکر بندی نوشته ها -> آرشیو نوشته ها-> تعداد دیگاه ها

- اصلاح مشکلات نمایشی و متنی صفحه فاکتور

- داینامیک شدن لینک صفحه فروشگاه (shop)

- رفع مشکل استایل متن سبدخرید درموبایل

- رفع مشکل  عدم عملکرد قسمت تیک فروشگاه برتر

- اصلاح ترجمه متن "There are no comments" در نظرات پنل کاربری

-  اصلاح متن عنوان فیلد تنظیم بخش نمایش فقط محصولات مرتبط موجود در انبار

- اضافه شدن امکان تعیین نام پیشفرض کاربر ثبت نام کننده در تنظیمات پوسته بخش مربوطه

- آپدیت بخش آرشیو وبلاگ

-اصلاح بخش دسته بندی جستجوی هدر

- رفع اشکلات نمایشی در سبک ها

- بهینه سازی دیتابیس پکیج نصب اسان

-  سازگاری با آخرین نسخه وردپرس

-  سازگاری با آخرین نسخه ووکامرس


----------------------
نسخه 3.5.1 - 1 مهر 1403

رفع تمامی باگ های استایلی گزارش شده کنترل کیفی

رفع باگ عدم آپدیت ایجکسی عدد تعداد سبدخرید در پاپ اپ کناری

رفع باگ تکرار شدن عنوان کاروسل محصولات مدرن

رفع باگ عدم امکان تعیین لینک در المان اسلایدر دسته بندی محصولات

رفع مشکل عدم اجرای سیستم لود ایجکسی پوسته

رفع مشکل عدم نمایش متغییرها در فاکتور

رفع باگ ها و وارنیگ ها در نسخه php 8.2

تفکیک سازی دکمه های لینک مشاهده همه و لینک آیتم مشاهده همه در کاروسل اسلایدر محصولات

سازگاری با آخرین نسخه وردپرس ، ووکامرس




----------------------
نسخه 3.5.2 - 16 مهر 1403

رفع باگ عدم نمایش باکس دسته بندی های فرزندی در صفحه دسته های محصولات آرشیو

رفع باگ عدم نمایش عدد تعداد دیدگاه

رفع باگ های گزارش شده فاکتور و تعدیل استایل

رفع باگ عدم نمایش فونت اعداد انگلیسی سایت

رفع مشکلات نمایشی صفحه وبلاگ در موبایل

رفع مشکلات نمایشی صفحه سبدخرید در موبایل

رفع مشکلات نمایشی آیتم محصولات صفحه آرشیو محصولات در موبایل


----------------------
نسخه 3.5.3 - 29 مهر 1403

رفع باگ  مهم فاکتورساز

رفع باگ لگ منوی هدر نسخه دسکتاپ

رفع مشکل ورود با پیامک با اعداد فارسی

اضافه شدن متن راهنما برای پارامترهای متغییرهای پترن پیامکی 


----------------------
نسخه 3.5.5 - 29 مهر 1403

سازگاری با نسخه جدید وردپرس
سازگاری با آخرین نسخه ووکامرس
رفع مشکلات گزارش شده مربوط به پیامک پارس کالا

----------------------
نسخه 3.5.6 - 24 آذر 1403

سازگاری با نسخه جدید وردپرس
سازگاری با آخرین نسخه ووکامرس
رفع باگ مهم ترجمه وردپرس
رفع باگ مهم سیستم پیامکی قالب
رفع باگ عدم ارسال کد پیگیری پیامکی 
-اضافه شدن صفحات بلاگ و تماس با ما

----------------------
نسخه 3.5.7 - 25 آذر 1403

نسخه اصلاحیه
- رفع مشکل عدم نمایش دسته بندی در صفحه فروشگاه
- رفع مشکل عدم نمایش صحیح در موبایل  


----------------------
نسخه 3.5.8 - 6 دی 1403

- انتشار دموی دارک پارس کالا
- حل مشکلات گزارش شده کاربارن محترم
- سازگاری با آخرین نسخه ووکامرس (مهم!)


----------------------
نسخه 3.6.0 - 8 اسفند 1403

- سازگاری با سیستم hpos مهم !
- رفع مشکل مهم صفحه پرداخت
- رفع مشکل ورود اجباری پوسته
- رفع مشکل اعتبار سنجی کدملی مشتری در صفحه پرداخت 
- بهبود مشکلات فنی سیستم پیامکی
- بهبود غلط املایی بعضی از متون تنظیمات پوسته





----------------------
نسخه 3.6.5 - 29 اردیبهشت 1404

-رفع باگ عدم نمایش دکمه راهنمای سایزبندی
-رفع مشکل عدم نمایش صحیح قیمت آیتم محصول درج شده در فاکتور
-رفع باگ های جزئی در قالب
-سازگاری با آخرین نسخه المنتور
-امکان تنظیم رنگ برای کارت اطلاعات محصول
-امکان تنظیم لوگو برای آدرس بار صفحه پرداخت
-بهبود دموی دارک پارس کالا
-سازگاری با آخرین نسخه ووکارس ، وردپرس 



----------------------
نسخه 3.6.6 - 07 خرداد 1404

-اصلاح بسته نصبی ها
-رفع باگ جزئی مربوط به بخش برندهای ووکامرس


----------------------
نسخه 3.8.0 - 06 مرداد 1404

- رفع مشکل حیاتی مربوط به وضعیت تکمیل سفارشات  بخش مدیریت سفارشات ووکامرس
- رفع باگ عدم اضافه شدن محصولات متغییر به لیست خرید بعدی (سبد آینده)
- رفع مشکل عدم فراخوانی فونت سفارشی تنظیم شده در بخش تنظیمات پوسته
- رفع مشکلات مهم و بهبو رابط کاربری تنظیمات پیامک
- اضافه شدن سامانه های جدید و پرطرفدار به پیشنهاد مشتریان ،سامانه مدیانا و راه پیام
-اضافه شدن سیستم یاداوری پیامکی سبدخرید رها شده 
-اضافه شدن سیستم یاداوری سفارش رها شده رها شده
- اضافه شدن سیستم یاداوری پیامکی نظر سنجی بعد از خرید محصول
- بهبود و سازگاری با آخرین نسخه ووکامرس و وردپرس


----------------------
نسخه 3.9.1 - 13 مهر 1404

- رفع کلیه مشکلات پیامکی
-هماهنگ سازی با آخرین آپدیت سامانه ippanel
- رفع مشکلات جزئی و هماهنگی با سیستم سبدخریدرهاشده/سفارش رها شده
-بهبود کلی و هماهنگی با آخرین نسخه php 8.1
-رفع مشکلات گزارشات کاربران
-رفع مشکلات و هماهنگ سازی با آخرین تغییرات اخیر وبسرویس کاوه نگار
- کاملترین و جامعترین سیستم پیامکی ایران در پارس کالا
-هماهنگ سازی با آخرین نسخه ووکامرس
- اضافه شدن سیستم گارد امنیتی برای جلوگیری از بات نت ها (ارسال مکرر کد تایید)


----------------------
نسخه 3.9.3 - 24 آذر 1404

- رفع باگ های گزارش شده ریز استایلی
رفع باگ های مربوط به هماهنگی با آخرین ورژن php 8.1 به بالا
رفع لاگ های مربوط به فایل ارور لاگ
هماهنگی به آخرین نسخه ووکامرس و آپدیت فایل های الگوی توابع


----------------------
نسخه 3.9.5 - 27 بهمن 1404

- رفع باگ های گزارش شده استایلی
- رفع مشکلاتی ریز در بخش فاکتور ساز
- رفع مشکلاتی ریز در بخش فروشگاه
- آپدیت بسته نصبی  دموی بیوتی

هماهنگی با آخرین نسخه ووکامرس و آپدیت فایل های الگوی توابع


----------------------
نسخه 3.9.7 - 29 اردیبهشت 1405

- اضافه شدن سیستم گارت نت ملی جهت سازگاری با شرایط فعلی اینترنت
- رفع باگ‌های استایلی گزارش‌شده توسط کاربران
- هماهنگ‌سازی با آخرین تغییرات وب‌سرویس سامانه ملی پیامک
  نکته: برای ارسال کد تأیید، تعریف API Key در تنظیمات پوسته الزامی است.
- هماهنگ‌سازی با آخرین نسخه سامانه IPPanel
- اضافه شدن سامانه ایران پیامک (فرازsms جدید) 
- رفع مشکلات مربوط به فایل اسکریپت اسلایدرها
- هماهنگ‌سازی با آخرین نسخه ووکامرس و بروزرسانی فایل‌های الگوی ووکامرس

----------------------
نسخه 3.9.8 - 13 خرداد 1405

- رفع باگ ها و گزارشات ریز در موبایل
- سازگاری با آخرین نسخه ووکامرس و وردپرس 7


----------------------
نسخه 3.9.9 - 21 خرداد 1405

- نسخه استیبل و اخیر سری 3 Legacy 
- رفع مشکل عدم نمایش باکس مینی کارت در موبایل
- رفع مشکل عدم باز شدن گزینه های عملیاتی باکس مینی کارت 
- رفع مشکل عدم افزودن محصولات متغییر به سبد خرید
- سازگاری با آخرین نسخه ووکامرس
